package com.wms_main.constant.enums.wcs;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Wcs任务状态枚举
 */
@Getter
@AllArgsConstructor
public enum WcsStackerTaskStatusEnums {
    INIT(0, "任务初始化"),
    WAIT(1, "任务排队中"),
    RUN(2, "任务开始执行"),
    LEAVE(3, "任务已经离开初始位置"),
    MID(4, "任务到达中间点"),
    ARRIVE(5, "任务到达目的地"),
    FINISH(100, "任务完成"),
    CANCEL(998, "任务取消"),
    EXCEPTION(999, "任务异常");
    private final Integer code;
    private final String desc;
}
